<!DOCTYPE html>
<!-- indique un doc en HTML5-->
<html>

<head>
	<title>Illustrations</title>
	<meta charset="utf-8" /> <!-- aussi par défaut dans HTML5-->
	<link rel="stylesheet" type="text/css" href="../css/Stylesheet.css" />
	<!--va chercher le fichier CSS-->
</head>

<body>
	<Nav>
		<h2 class="navigation flexnav">
			<p><a href="index.html">Balises HTML </a> </p>
			<p><a href="TextCSS.html">Mise en forme du texte </a> </p>
			<p><a href="Boxmodel.html">Mise en forme des boites </a> </p>
			<p><a href="Formulaires.html">Formulaires </a> </p>
			<p><a href="JavaScript.html">JavaScript </a> </p>
			<p><a href="Illustrations.html">Illustrations </a> </p>
		</h2>

	</nav>
	<h1>Illustrer une page web</h1>
	<br />
	<h2>Dessiner avec svg</h2>
	<hr />
	<h2>Dessiner avec path</h2>
	<hr />
	<h2>Dessiner avec canvas</h2>
	<h3>Introduction</h3>
	<p>L'élément HTML canvas va permettre de dessiner et créer des figures géométriques dans une page web au sein d'un "canevas". L'élément <span class="ex">&lt;canvas&gt;</span> va servir de conteneur pour tous les graphiques, qui seront créés avec un langage de script (JavaScript). Il crée une surface pour dessiner à grandeur fixe. Initialement, le canvas est vide. L'élément <span class="ex">&lt;canvas&gt;</span> va être représenté par une zone rectangulaire dans la page HTML. Cet élément n'a ni bordure, ni contenu, par défaut (ici en rose pour le voir). On va lui assigner une id pour le retrouver plus facilement en JS.</p>

	<ol>Il y a 3 étapes pour dessiner dedans : 
		<li>Accéder à l'élément canvas en JavaScript, grâce au DOM HTML<br/>
			<span class="ex">var canvas = document.getElementById('canvas');</span> // va chercher canvas dans le DOM
		</li>
		<li>Extraire le contexte du canvas grace à la méthode getContext() qui est un objet de canvas et peut être utilisée pour obtenir le contexte de rendu et ses fonctions de dessin. <br/>
			<span class="ex">var contexte = canvas.getContext('2d');</span>// accéde au contexte de rendu en utilisant sa méthode getContext()<br/>Il faut utiliser les propriétés adaptées pour dessiner la figure désirée dans canvas. getContext() a comme seul paramètre le type de contexte. Pour des graphiques 2D, il faut spécifier "2d. D'autres contextes permettent d'autres types de rendu, tel que le contexte WebGL, qui utilise un contexte 3D ("experimental-webgl") inspiré de OpenGL ES.</li>
			Ces deux instructions dans le JS sont indispensables pour dessiner dans canvas.
	</ol>

	<p>On doit préciser deux attributs à canvas: <span class="ex">width</span> et <span class="ex">height</span> (« largeur » et « hauteur ») pour préciser la zone de dessin. En dehors de la zone, les dessins n'apparaitront pas.</p>
	<ol><li>Quand les attributs width et height ne sont pas spécifiés, le canvas sera initialement large de 300 pixels et haut de 150 pixels.</li>
	<li>Ils peuvent être fixés  à travers le DOM </li>
	<li>Les dimensions du canvas peuvent être modifiés par du CSS, mais l'image sera dessinée selon les valeurs width et height du canvas et ensuite étirée pour l'afficher dans l'espace donné par le CSS.</li></ol>

	<span class="ex">&lt;canvas id="canvas" width="400" height="200"&gt; &lt;/canvas&gt;</span><br/><br/>

	<canvas id="canvas" class="canvas" width="400" height="200"></canvas>

	<p>Il faut mieux avoir un contenu de repli car certains anciens navigateurs ne supportent pas l'élément <span class="ex">&lt;canvas&gt;</span> (ex, Internet Explorer avant la version 9) : il faut tout simplement mettre le contenu dans l'élément <span class="ex">&lt;canvas&gt;</span> lui-même. Les navigateurs qui ne supportent pas <span class="ex">&lt;canvas&gt;</span> vont afficher ce contenu de repli, et ceux qui supportent <span class="ex">&lt;canvas&gt;</span> vont l'ignorer et dessiner le canvas. Le contenu de repli pourrait, par exemple, donner une description texte du canvas, ou afficher une image fixe comme aperçu de ce que canvas dessinerait de façon dynamique. Voici 2 exemples : </p>

	<span class="ex">&lt;canvas&gt; id="stockGraph" width="150" height="150"><br/>
		current stock price: $3.15 + 0.15&gt;<br/>
		&lt;/canvas&gt;<br/>
		<br/>
		&lt;canvas&gt; id="clock" width="150" height="150"><br/>
		&lt;img src="images/clock.png" width="150" height="150" alt=""/&gt;<br/>
		&lt;/canvas&gt;<br/></span>

		<hr />
	<h3>Dessiner un rectangle dans canvas</h3>

	<p>Exemple 1 : créer un rectangle bleu dans canvas avec contexte.fillStyle et contexte.fillRect()<br/>
		Le point de départ de canvas est en haut à gauche : position (x,y) = (0,0)
		<span class="ex">&lt;script&gt;<br/>
		var canvas = document.getElementById('canvas2');// 1 va chercher canvas dans le DOM<br/>
		var contexte = canvas.getContext('2d');// 2 et 3 accéde au contexte de rendu en utilisant sa méthode getContext()<br/>
		contexte.fillStyle = '#047';//créé un objet de style bleu<br/>
		contexte.fillRect(50, 0, 200, 100);//dont le bord se situe à 50 unité à droite du bord gauche, de taille 200 de large par 100 de haut<br/>
		&lt;/script&gt;</span></p>
		<canvas id="canvas1" class="canvas" width="400" height="150"></canvas>
		<script>
			var canvas = document.getElementById('canvas1');// 1 va chercher canvas dans le DOM
			var contexte = canvas.getContext('2d');// 2 et 3 accéde au contexte de rendu en utilisant sa méthode getContext()
			contexte.fillStyle = '#047';//créé un objet de style bleu
        	contexte.fillRect(50, 0, 200, 100);//c'est un rectangle, dont le bord se situe à 50 unités à droite du bord gauche, de taille 200 de large par 100 de haut
		</script><br/>
		<p>Exemple 2 : créer un cadre bleu dans canvas avec contexte.lineWidth, contexte.strokeStyle et contexte.strokeRect (x: number, y: number, w: number, h: number): void. </p>
		<span class="ex">&lt;script&gt;<br/>
			var canvas = document.getElementById('canvas3');// va chercher canvas dans le DOM<br/>
			var contexte = canvas.getContext('2d');// accéde au contexte de rendu 2D<br/>
			contexte.lineWidth = '5'; //crée un bord de 5 unités<br/>
			contexte.strokeStyle = '#047';//dont la couleur est bleu<br/>
			contexte.strokeRect(50, 10, 150, 80);//avec une forme de rectangle dont le bord se situe à 50 unités à droite du bord gauche, de taille 150 de large par 80 de haut<br/>
		&lt;/script&gt;</span><br/><br/>
		<canvas id="canvas2" class="canvas" width="400" height="150"></canvas>

		<script>
				var canvas = document.getElementById('canvas2');// 1 va chercher canvas dans le DOM
				var contexte = canvas.getContext('2d');// 2 et 3 accéde au contexte de rendu en utilisant sa méthode getContext()
				contexte.lineWidth = '5'; //crée un bord de 5 unités
				contexte.strokeStyle = '#047';//dont la couleur est bleu
				contexte.strokeRect(50, 10, 150, 80);//avec une forme de rectangle dont le bord se situe à 50 unités à droite du bord gauche, de taille 150 de large par 80 de haut
		</script>
	<p>Exemple 3: canvas supporte la transparence </p>
	<span class="ex">&lt;script&gt;<br/>
		var canvas = document.getElementById('canvas3');// 1 va chercher canvas dans le DOM<br/>
		var contexte = canvas.getContext('2d');// 2 et 3 accéde au contexte de rendu en utilisant sa méthode getContext()<br/>
		contexte.fillStyle = 'rgba(15,69,119,0.5)';//créé un objet de style bleu<br/>
        contexte.fillRect(50, 0, 200, 110);//c'est un rectangle, dont le bord se situe à 50 unités à droite du bord gauche, de taille 200 de large par 100 de haut<br/>
		contexte.lineWidth = '5'; //crée un bord de 5 unités<br/>
		contexte.strokeStyle = 'red';//dont la couleur est bleu<br/>
		contexte.strokeRect(100, 20, 170, 120);//avec une forme de rectangle dont le bord se situe à 50 unités à droite <br/>du bord gauche, de taille 150 de large par 80 de haut<br/>
	&lt;/script&gt;</span><br/><br/>
	<canvas id="canvas3" class="canvas" width="400" height="150"></canvas>

	<script>
		var canvas = document.getElementById('canvas3');// 1 va chercher canvas dans le DOM
		var contexte = canvas.getContext('2d');// 2 et 3 accéde au contexte de rendu en utilisant sa méthode getContext()
		contexte.fillStyle = 'rgba(15,69,119,0.5)';//créé un objet de style bleu
        contexte.fillRect(50, 0, 200, 110);//c'est un rectangle, dont le bord se situe à 50 unités à droite du bord gauche, de taille 200 de large par 100 de haut
		contexte.lineWidth = '5'; //crée un bord de 5 unités
		contexte.strokeStyle = 'red';//dont la couleur est bleu
		contexte.strokeRect(100, 20, 170, 120);//avec une forme de rectangle dont le bord se situe à 50 unités à droite du bord gauche, de taille 150 de large par 80 de haut
	</script><br/>
		<p>Exemple 4 picross: entrainement à faire des petits carrés </p>
		
		<canvas id="canvas4" class="canvas" width="400" height="300"></canvas><br/>
		<span class="ex">&lt;script&gt;<br/>
		var canvas = document.getElementById('canvaspic');// 1 va chercher canvas dans le DOM<br/>
		var contexte = canvas.getContext('2d');// 2 et 3 accéde au contexte de rendu en utilisant sa méthode getContext()<br/>
		contexte.fillStyle = 'rgba(15,69,119,0.5)';//<br/>
		contexte.fillRect(50, 50, 25, 25);//<br/>
		contexte.lineWidth = '1'; //<br/>
		contexte.strokeStyle = 'white';//<br/>
		contexte.strokeRect(50, 50, 25, 25);//<br/>

		contexte.fillStyle = 'rgba(15,69,119,0.5)';//<br/>
		contexte.fillRect(25, 25, 25, 25);//<br/>
		contexte.lineWidth = '1'; //<br/>
		contexte.strokeStyle = 'white';//<br/>
		contexte.strokeRect(25, 25, 25, 25);//<br/>

		contexte.fillStyle = 'rgba(15,69,119,0.5)';//<br/>
		contexte.fillRect(50, 25, 25, 25);//v
		contexte.lineWidth = '1'; //<br/>
		contexte.strokeStyle = 'white';//<br/>
		contexte.strokeRect(50, 25, 25, 25);//<br/>

		contexte.fillRect(25, 50, 25, 25);//<br/>
		contexte.lineWidth = '1'; //<br/>
		contexte.strokeStyle = 'white';//<br/>
		contexte.strokeRect(25, 50, 25, 25);//<br/>
		&lt;/script&gt;</span><br/>
		<script>
			var canvas = document.getElementById('canvas4');// 1 va chercher canvas dans le DOM
			var contexte = canvas.getContext('2d');// 2 et 3 accéde au contexte de rendu en utilisant sa méthode getContext()
			contexte.fillStyle = 'rgba(15,69,119,0.5)';//
			contexte.fillRect(50, 50, 25, 25);//
			contexte.lineWidth = '1'; //
			contexte.strokeStyle = 'white';//
			contexte.strokeRect(50, 50, 25, 25);//

			contexte.fillStyle = 'rgba(15,69,119,0.5)';//
			contexte.fillRect(25, 25, 25, 25);//
			contexte.lineWidth = '1'; //
			contexte.strokeStyle = 'white';//
			contexte.strokeRect(25, 25, 25, 25);//

			contexte.fillStyle = 'rgba(15,69,119,0.5)';//
			contexte.fillRect(50, 25, 25, 25);//
			contexte.lineWidth = '1'; //
			contexte.strokeStyle = 'white';//
			contexte.strokeRect(50, 25, 25, 25);//

			contexte.fillRect(25, 50, 25, 25);//
			contexte.lineWidth = '1'; //
			contexte.strokeStyle = 'white';//
			contexte.strokeRect(25, 50, 25, 25);//
		</script>
	<hr />
	<h3>Dessiner des lignes avec canvas</h3>
	<p>Exemple 5 : dessiner une ligne avec contexte.strockeStyle, contexte.moveTo, context.lineTo et contexte et contexte.strock()<br/><span class="ex">&lt;script&gt;<br/>
		var canvas = document.getElementById('canvas5');// 1 va chercher canvas dans le DOM<br/>
		var contexte = canvas.getContext('2d');// 2 et 3 accéde au contexte de rendu en utilisant sa méthode getContext()<br/>
		contexte.strockeStyle = '#047';//créé un objet de style bleu<br/>
		contexte.moveTo(20,20);//coordonnées du premier point de la ligne<br/>
		contexte.lineTo(200,150); //coordonnées du dernier point<br/>
		contexte.stroke();//tracé entre les deux points<br/>
		&lt;/script&gt;</span></p>
		<canvas id="canvas5" class="canvas" width="400" height="150"></canvas>
		<script>
			var canvas = document.getElementById('canvas5');// 1 va chercher canvas dans le DOM
			var contexte = canvas.getContext('2d');// 2 et 3 accéde au contexte de rendu en utilisant sa méthode getContext()
			contexte.strokeStyle = '#047';//créé un objet de style bleu
			contexte.moveTo(20,20);//coordonnées du premier point de la ligne
			contexte.lineTo(300,110); //coordonnées du dernier point
			contexte.stroke();//tracé entre les deux points
		</script>
		<hr/>
		<p>Exemple 6 : dessiner 3 lignes avec contexte.strockeStyle, contexte.moveTo, context.lineTo et contexte et contexte.strock()<br/><span class="ex">&lt;script&gt;<br/>
			var canvas = document.getElementById('canvas6');// 1 va chercher canvas dans le DOM<br/>
			var contexte = canvas.getContext('2d');// 2 et 3 accéde au contexte de rendu en utilisant sa méthode getContext()<br/>
			contexte.strockeStyle = '#047';//créé un objet de style bleu<br/>
			contexte.moveTo(50,50);//coordonnées du premier point de la ligne1<br/>
			contexte.lineTo(350,150); //coordonnées du dernier point ligne 1 et premier point ligne 2<br/>
			contexte.lineTo(50,150); //coordonnées du dernier point ligne 2 et premier point ligne 3<br/>
			contexte.lineTo(50,50); //coordonnées du dernier point ligne 3<br/>
			contexte.stroke();//tracé entre les deux points<br/>
			&lt;/script&gt;</span></p>
			<canvas id="canvas6" class="canvas" width="400" height="200"></canvas>
			<script>
				var canvas = document.getElementById('canvas6');// 1 va chercher canvas dans le DOM
				var contexte = canvas.getContext('2d');// 2 et 3 accéde au contexte de rendu en utilisant sa méthode getContext()
				contexte.strokeStyle = '#047';//créé un objet de style bleu
				contexte.moveTo(50,50);//coordonnées du premier point de la ligne1
				contexte.lineTo(350,150); //coordonnées du dernier point ligne 1 et premier point ligne 2
				contexte.lineTo(50,150); //coordonnées du dernier point ligne 2 et premier point ligne 3
				contexte.lineTo(50,50); //coordonnées du dernier point ligne 3
				contexte.stroke();//tracé entre les deux points
			</script>
			<p>Exemple 7 : epaisseur et couleur des lignes avec beginPath() et lineWidth
				<br/><span class="ex">&lt;script&gt;<br/>
					var canvas = document.getElementById('canvas7');// 1 va chercher canvas dans le DOM<br/>
					var contexte = canvas.getContext('2d');// 2 et 3 accéde au contexte de rendu en utilisant sa méthode getContext()<br/>
					//créé la première ligne<br/>
					contexte.beginPath();<br/>
					contexte.lineWidth = "5";<br/>
					contexte.strokeStyle = '#047';//créé un objet de style bleu<br/>
					contexte.moveTo(50,50);//coordonnées du premier point de la ligne1<br/>
					contexte.lineTo(300,150); //coordonnées du dernier point ligne 1<br/>
					contexte.stroke();//tracé entre les deux points<br/>

					//créé la deuxième ligne<br/>
					contexte.beginPath();<br/>
					contexte.lineWidth = "10";<br/>
					contexte.strokeStyle = '#28a745';//créé un objet de style bleu<br/>
					contexte.moveTo(30,60);//coordonnées du premier point de la ligne2<br/>
					contexte.lineTo(100,200); //coordonnées du dernier point ligne 2<br/>
					contexte.stroke();//tracé entre les deux points<br/><br/>
				&lt;/script&gt;</span></p>
				<canvas id="canvas7" class="canvas" width="400" height="200"></canvas>
				<script>
					var canvas = document.getElementById('canvas7');// 1 va chercher canvas dans le DOM
					var contexte = canvas.getContext('2d');// 2 et 3 accéde au contexte de rendu en utilisant sa méthode getContext()
					//créé la première ligne
					contexte.beginPath();
					contexte.lineWidth = "5";
					contexte.strokeStyle = '#047';//créé un objet de style bleu
					contexte.moveTo(50,50);//coordonnées du premier point de la ligne1
					contexte.lineTo(300,150); //coordonnées du dernier point ligne 1
					contexte.stroke();//tracé entre les deux points

					//créé la deuxième ligne
					contexte.beginPath();
					contexte.lineWidth = "10";
					contexte.strokeStyle = '#28a745';//créé un objet de style bleu
					contexte.moveTo(30,60);//coordonnées du premier point de la ligne2
					contexte.lineTo(100,200); //coordonnées du dernier point ligne 2
					contexte.stroke();//tracé entre les deux points
				</script>
			<hr/>
			<h3>Dessiner des arcs de cercles</h3>
			<p>Exemple 8 : dessiner des arcs de cercles vides avec beginPath() et arc(). 
				<ol>La méthode arc() comprend 5 arguments:
					<li>nombre correspondant au décalage du centre de l'arc par rapport au bord gauche du canvas //x</li>
					<li>nombre correspondant au décalage du centre de l'arc par rapport au bord supérieur du canvas//y</li>
					<li>taille du rayon</li>
					<li>angle de départ en radian. Le point de départ = 0*PI radian = le plus à droite du cercle</li>
					<li>angle de fin en radian (va tourner dans le sens des aiguilles d'une montre)</li>
					Un tour de cercle correspond à 2*PI radian, donc un 1/2 tour = PI radian.</ol>
					Pour récupérer la valeur de PI, utiliser l'objet Math.
			</p>

					<p><span class="ex">&lt;script&gt;<br/>

					&lt;/script&gt;</span></p>
					<canvas id="canvas8" class="canvas" width="400" height="200"></canvas>
					<script>

					</script>
				<hr/>
					<h3>Exemple 9: Dessiner et remplir une matrice</h3>

					<p><span class="ex">&lt;script&gt;<br/>
						function drawLeg2(contexte, x, y, width, height, fill, stroke) {<br/>
							if (typeof stroke == "undefined" ) {<br/>
								stroke = true;<br/>
							}
							
							contexte.beginPath();<br/>
							contexte.moveTo(x , y);<br/>
							contexte.lineTo(x + width , y);<br/>
							contexte.quadraticCurveTo(x + width, y, x + width, y );<br/>
							contexte.lineTo(x + width, y + height );<br/>
							contexte.quadraticCurveTo(x + width, y + height, x + width, y + height);<br/>
							contexte.lineTo(x, y + height);<br/>
							contexte.quadraticCurveTo(x, y + height, x, y + height);<br/>
							contexte.lineTo(x, y );<br/>
							contexte.quadraticCurveTo(x, y, x , y);<br/>
							contexte.closePath();<br/>
							if (stroke) {<br/>
								contexte.stroke();<br/>
							}
							if (fill) {<br/>
								contexte.fill();<br/>
							}
						}
						contexte.lineWidth = 1;<br/>
						contexte.strokeStyle = "red";<br/>
						contexte.fillStyle = "#abc";<br/>
						drawLeg2(contexte, 10, 10, 25, 25, 20, true);<br/>
						contexte.font="16px arial";<br/>
						contexte.textAlign="center"; <br/>
						contexte.textBaseline = "middle";<br/>
						contexte.fillStyle = "#000000";<br/>
						var rectHeight = 25;<br/>
						var rectWidth = 25;<br/>
						var rectX = 10;<br/>
						var rectY = 10;<br/>
						contexte.fillText("A",rectX+(rectWidth/2),rectY+(rectHeight/2));<br/>

						&lt;/script&gt;</span></p>
						<canvas id="canvas9" class="canvas" width="400" height="300"></canvas>


						<script>
						var canvas = document.getElementById('canvas9');// 1 va chercher canvas dans le DOM
						var contexte = canvas.getContext('2d');// 2 et 3 accéde au contexte de rendu en utilisant sa méthode getContext()
							function drawLeg2(contexte, x, y, width, height, fill, stroke) {
  if (typeof stroke == "undefined" ) {
    stroke = true;
  }
  
  contexte.beginPath();
  contexte.moveTo(x , y);
  contexte.lineTo(x + width , y);
  contexte.lineTo(x + width, y + height );
  contexte.lineTo(x, y + height);
  contexte.lineTo(x, y );
  
  contexte.closePath();
  if (stroke) {
    contexte.stroke();
  }
  if (fill) {
    contexte.fill();
  }
}
contexte.lineWidth = 1;
contexte.strokeStyle = "white";
contexte.fillStyle = "navy";
drawLeg2(contexte, 10, 10, 25, 25, 20, true);
contexte.font="16px arial";
contexte.textAlign="center"; 
contexte.textBaseline = "middle";
contexte.fillStyle = "white";
var rectHeight = 25;
var rectWidth = 25;
var rectX = 10;
var rectY = 10;
contexte.fillText("A",rectX+(rectWidth/2),rectY+(rectHeight/2));
 
						</script>
				<hr/>
	<h3>Styliser canvas</h3>
	<p>L'élément &lt;canvas&gt; peut être stylisé comme n'importe quelle image normale (marges, contours, arrière-plan, etc). Si aucun style n'est donné, le canvas sera par défaut complètement transparent. Il faut noter que peu importe quels styles sont utilisés, le style n'affectera pas l'acte de dessiner sur le canvas.</p>
	<p><span class="ex">var canvas = document.getElementById('tutorial');// va chercher canvas dans le DOM<br/>
	var ctx = canvas.getContext('2d');//accéde au contexte de rendu en utilisant sa méthode getContext()</span></p>
	<hr />
	<h2>Traitement de photos avec CSS filters</h2>
	<p>Les filtres sont utiles pour avoir différents styles sur une même image. Ainsi, au lieu de charger plusieurs
		images, on en charge une seule en utilisant les différents filtres.</p>

	<div class="flex">
		<img src="../Images/vaches.jpg" height="48%" width="48%" alt="où sont les vaches?" />
		<img id="filtre" src="../Images/vaches.jpg" height="48%" width="48%" alt="où sont les vaches?" />
		<p class="legende1">Image brute. Dimensions = 1211x807.</p>
		<p class="legende2">Image traitée.</p>
	</div>

	<p>Les filtres peuvent servir à mettre une ombre sous la photo avec la fonction "filter:drop-shadow(w h b c)"</p>
	<p>blur(), brightness(), contrast(), grayscale(), hue-rotate(), invert(), opacity(), saturate() sepia().</p>

	<div class="curseur">
		<form onsubmit="return false" oninput="resultat.value = echelle.valueAsNumber;">
			<label for="greyscale">Greyscale</label>
			<input id="echelle" type="range" min="0" max="100">
			<output id="resultat" for="echelle">0</output>/100
		</form>
	</div>
	<div class="curseur">
		<form onsubmit="return false" oninput="resultat.value = echelle.valueAsNumber;">
			<label for="sepia">Sepia</label>
			<input id="echelle" type="range" min="0" max="100">
			<output id="resultat" for="echelle">0</output>/100
		</form>
	</div>
	<div class="curseur">
		<form onsubmit="return false" oninput="resultat.value = echelle.valueAsNumber;">
			<label for="saturate">Saturate</label>
			<input id="echelle" type="range" min="0" max="100">
			<output id="resultat" for="echelle">0</output>/100
		</form>
	</div>
	<div class="curseur">
		<form onsubmit="return false" oninput="resultat.value = echelle.valueAsNumber;">
			<label for="hue-rotate">Hue-rotate</label>
			<input id="echelle" type="range" min="0" max="100">
			<output id="resultat" for="echelle">0</output>/100
		</form>
	</div>
	<br />
	<h2>Un slider d'image avec JS</h2>
	<div>
		<button onclick="prev()">Prev</button>
		<img id="slider" src="Images/2.jpg" width="200px" height="100px" />
		<button onclick="next()">Next</button>
		<br /><span class="ex">&lt;script&gt;
			var images=["Images/1.jpg","Images/2.jpg","Images/3.jpg"];
			var num = 0;
			function next() {
			var slider = document.getElementById("slider");
			num++;
			if(num>=images.length) {num = 0;}
			slider.src = images[num];
			}
			function prev() {
			var slider = document.getElementById("slider");
			num--;
			if(num < 0) {num=images.length-1;} slider.src=images[num]; } &lt;/script&gt; </span> <script>
				var images=["../Images/1.jpg","../Images/2.jpg","../Images/3.jpg"];
				var num = 0;
				function next() {
				var slider = document.getElementById("slider");
				num++;
				if(num>=images.length) {num = 0;}
				slider.src = images[num];
				}
				function prev() {
				var slider = document.getElementById("slider");
				num--;
				if(num < 0) {num=images.length-1;} slider.src=images[num]; } </script> </div> </body> </html>